
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef platine_ERROR_H
#define platine_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_platine    (3030)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_platine_NO_POSTER_FOUND      H2_ENCODE_ERR(M_platine   , 1)
#define S_platine_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_platine   , 2)
#define S_platine_PT_SMALL_TILT_VALUE  H2_ENCODE_ERR(M_platine   , 3)
#define S_platine_PT_SMALL_PAN_VALUE   H2_ENCODE_ERR(M_platine   , 4)
#define S_platine_PT_TIMEOUT           H2_ENCODE_ERR(M_platine   , 5)
#define S_platine_PT_SYS_ERR           H2_ENCODE_ERR(M_platine   , 6)
#define S_platine_PT_ILLEGAL_ACCEL     H2_ENCODE_ERR(M_platine   , 7)
#define S_platine_PT_STOP_ENDS         H2_ENCODE_ERR(M_platine   , 8)
#define S_platine_PT_OUT_OF_RANGE      H2_ENCODE_ERR(M_platine   , 9)
#define S_platine_DRIVER_NOT_INITIALIZED H2_ENCODE_ERR(M_platine   , 10)
#define S_platine_ERROR                H2_ENCODE_ERR(M_platine   , 11)
#define S_platine_INIT_FAILED          H2_ENCODE_ERR(M_platine   , 12)
#define S_platine_INVALID_PARAMS       H2_ENCODE_ERR(M_platine   , 13)
#define S_platine_PT_UNKNOWN_ERR       H2_ENCODE_ERR(M_platine   , 14)
#define S_platine_PT_NO_ERR            H2_ENCODE_ERR(M_platine   , 15)
#define S_platine_PT_ILLEGAL_COMMAND   H2_ENCODE_ERR(M_platine   , 16)


/* std errors */
#define S_platine_stdGenoM_ACTIVITY_INTERRUPTED       198632449   /* 3030<<16 | 0x8000 | 100<<8 | 1 */
#define S_platine_stdGenoM_TOO_MANY_ACTIVITIES        198632450   /* 3030<<16 | 0x8000 | 100<<8 | 2 */
#define S_platine_stdGenoM_ACTIVITY_FAILED            198632451   /* 3030<<16 | 0x8000 | 100<<8 | 3 */
#define S_platine_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 198632452   /* 3030<<16 | 0x8000 | 100<<8 | 4 */
#define S_platine_stdGenoM_UNKNOWN_ACTIVITY           198632453   /* 3030<<16 | 0x8000 | 100<<8 | 5 */
#define S_platine_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 198632454   /* 3030<<16 | 0x8000 | 100<<8 | 6 */
#define S_platine_stdGenoM_SYSTEM_ERROR               198632455   /* 3030<<16 | 0x8000 | 100<<8 | 7 */
#define S_platine_stdGenoM_ACTIVITY_ALREADY_ENDED     198632456   /* 3030<<16 | 0x8000 | 100<<8 | 8 */
#define S_platine_stdGenoM_WAIT_INIT_RQST             198632457   /* 3030<<16 | 0x8000 | 100<<8 | 9 */
#define S_platine_stdGenoM_CONTROL_CODEL_ERROR        198632458   /* 3030<<16 | 0x8000 | 100<<8 | 10 */
#define S_platine_stdGenoM_EXEC_TASK_SUSPENDED        198632459   /* 3030<<16 | 0x8000 | 100<<8 | 11 */
#define S_platine_stdGenoM_BAD_BLOCK_TYPE             198632460   /* 3030<<16 | 0x8000 | 100<<8 | 12 */
#define S_platine_stdGenoM_BAD_POSTER_TYPE            198632461   /* 3030<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define PLATINE_H2_ERR_MSGS {\
    {"NO_POSTER_FOUND", 1},\
    {"POSTER_NOT_FOUND", 2},\
    {"PT_SMALL_TILT_VALUE", 3},\
    {"PT_SMALL_PAN_VALUE", 4},\
    {"PT_TIMEOUT", 5},\
    {"PT_SYS_ERR", 6},\
    {"PT_ILLEGAL_ACCEL", 7},\
    {"PT_STOP_ENDS", 8},\
    {"PT_OUT_OF_RANGE", 9},\
    {"DRIVER_NOT_INITIALIZED", 10},\
    {"ERROR", 11},\
    {"INIT_FAILED", 12},\
    {"INVALID_PARAMS", 13},\
    {"PT_UNKNOWN_ERR", 14},\
    {"PT_NO_ERR", 15},\
    {"PT_ILLEGAL_COMMAND", 16},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int platineRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
